Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem mit Useflags/eselect
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
kevin22
n00b
n00b


Joined: 06 Sep 2009
Posts: 37

PostPosted: Sat Nov 21, 2009 2:57 pm    Post subject: Problem mit Useflags/eselect Reply with quote

Guten Tag
Ein Gentoo Anfänger hat ein Problem:
Ich hab bei der Installation den Tipp bekommen, einfach Gentoo die Auswahl der useflags zu überlassen.
Hab daher mit "eselect profile set" ein Desktop Profil ausgewählt und damit mein Gentoo+X Umgebung installiert. Bei den ersten Versuchen hab ich die Flags selber gesetzt und hatte nur Probleme. Mit Eselect funktioniert es wunderbar!

Doch jetzt habe ich zum ersten mal Bedarf, ein Useflag zu ändern! Und zwar für lm_sensors! Doch wie mache ich das jetzt genau?
Durch das setzen des Profils habe ich ja irgendwo aktive Useflags. Doch in der /etc/make.conf sind keine.
Muss ich diese jetzt einfach in der make.conf eintragen und die werden dann mit denen, die vom eselect Profil gesetzt wurden kombiniert?

Ich hab das mal versucht, leider ohne Erfolg.
Wenn ich nen emerge --update --newuse --deep world mache, um die Programme neuzuinstallieren die das lm_sensor useflag nutzen, dann bekomme ich folgenden Fehler:
Quote:
emerge: there are no ebuilds built with USE flags to satisfy ">=sys-fs/udev-145[extras]".
!!! One of the following packages is required to complete your request:
- sys-fs/udev-147 (Change USE: +extras)
(dependency required by "gnome-base/gvfs-1.4.1" [ebuild])
(dependency required by "gnome-base/libgnome-2.28.0" [ebuild])
(dependency required by "gnome-base/libbonoboui-2.24.2" [ebuild])
(dependency required by "gnome-base/libgnomeui-2.24.2" [ebuild])
(dependency required by "net-libs/xulrunner-1.9.1.5" [ebuild])
(dependency required by "www-client/mozilla-firefox-3.5.5" [ebuild])
(dependency required by "world" [argument])


Ok dachte ich mir, muss ich wohl extras als Useflag aufnehmen. Doch dann fehlt ihm sip, dann wav und dann noch kdrive.
Wenn ich diese Useflags setze, dann bekomme ich folgende Meldung:


Quote:
[blocks B ] dev-libs/gnome-build ("dev-libs/gnome-build" is blocking dev-util/anjuta-2.28.1.0)
[blocks B ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-147)
[blocks B ] dev-libs/pwlib ("dev-libs/pwlib" is blocking net-libs/ptlib-2.6.5)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.


Ich seh nicht mehr durch :(
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Sat Nov 21, 2009 3:00 pm    Post subject: Reply with quote

bitte mal
Code:
emerge --info

posten


damit kann man dir wohl am besten helfen

das problem mit udev sieht aus, als ob irgendein programm udev mit dem useflag extras compiliert sehen möchte, da du udev scheinbar in einer stable version nutzt, die noch kein useflag extras haben gibt es diesen fehler.
Back to top
View user's profile Send private message
kevin22
n00b
n00b


Joined: 06 Sep 2009
Posts: 37

PostPosted: Sat Nov 21, 2009 3:03 pm    Post subject: Reply with quote

Ok gerne:

emerge --info
Quote:
Portage 2.1.7.6 (default/linux/x86/10.0/desktop, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.31-gentoo-r4 i686)
=================================================================
System uname: Linux-2.6.31-gentoo-r4-i686-Intel-R-_Core-TM-2_Duo_CPU_L9400_@_1.86GHz-with-gentoo-1.12.11.1
Timestamp of tree: Sat, 21 Nov 2009 09:00:01 +0000
app-shells/bash: 4.0_p28
dev-lang/python: 2.6.2-r1
dev-util/cmake: 2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox: 1.6-r2
sys-devel/autoconf: 2.13, 2.63-r1
sys-devel/automake: 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils: 2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6a
virtual/os-headers: 2.6.27-r2
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.UTF8"
LC_ALL="de_DE.UTF8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups dbus dri dts dvd dvdr eds emboss encode evo extras fam firefox flac fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 jpeg kde kdrive ldap libnotify lm_sensors mad mikmod modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support qt4 quicktime readline reflection sdl session sip spell spl ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb vorbis wav win32codecs x264 x86 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="intel vesa"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Sat Nov 21, 2009 3:08 pm    Post subject: Reply with quote

ACCEPT_KEYWORDS="x86 ~x86"

du weißt dass du ~x86 nutzt und was dies bedeutet?
Back to top
View user's profile Send private message
kevin22
n00b
n00b


Joined: 06 Sep 2009
Posts: 37

PostPosted: Sat Nov 21, 2009 3:10 pm    Post subject: Reply with quote

ScytheMan wrote:
ACCEPT_KEYWORDS="x86 ~x86"

du weißt dass du ~x86 nutzt und was dies bedeutet?

Jep, dies musste ich setzen um einen 2.6.31er unstable Kernel zu bekommen, da meine WLAN Karte in der 30er nicht stabil lief.
Aber danke für den Hinweis, das könnte ich jetzt wohl ausschalten.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Nov 21, 2009 3:12 pm    Post subject: Reply with quote

kevin22 wrote:
ScytheMan wrote:
ACCEPT_KEYWORDS="x86 ~x86"

du weißt dass du ~x86 nutzt und was dies bedeutet?

Jep, dies musste ich setzen um einen 2.6.31er unstable Kernel zu bekommen, da meine WLAN Karte in der 30er nicht stabil lief.
Aber danke für den Hinweis, das könnte ich jetzt wohl ausschalten.

Nein musstest du nicht, jedenfalls nicht so!
Für einzelne Pakete gibt es /etc/portage/package.keywords!
Schau da nochmal ins Handbuch.
Back to top
View user's profile Send private message
kevin22
n00b
n00b


Joined: 06 Sep 2009
Posts: 37

PostPosted: Sat Nov 21, 2009 3:19 pm    Post subject: Reply with quote

Ok, werde ich mir merken! Danke.

Jetzt ohne dem unstable Keyword und ohne die zusätzlichen Useflags extras,sip etc.
bekomme ich nur noch den Fehler:


Quote:
[blocks B ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-146-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

('ebuild', '/', 'sys-fs/udev-146-r1', 'merge') pulled in by
sys-fs/udev required by ('installed', '/', 'net-wireless/bluez-4.39-r2', 'nomerge')
virtual/dev-manager required by world
>=sys-fs/udev-124 required by ('installed', '/', 'sys-fs/cryptsetup-1.0.6-r2', 'nomerge')
(and 3 more)

('installed', '/', 'sys-fs/device-mapper-1.02.24-r1', 'nomerge') pulled in by
>=sys-fs/device-mapper-1.00.07-r1 required by ('installed', '/', 'sys-fs/cryptsetup-1.0.6-r2', 'nomerge')
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Sat Nov 21, 2009 3:27 pm    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-802644.html

ich warne allerdings davor von ~x86 einfach auf x86 zurück zu wechseln. das kann und wird vermutlich sicher schiefgehen.
Back to top
View user's profile Send private message
kevin22
n00b
n00b


Joined: 06 Sep 2009
Posts: 37

PostPosted: Sat Nov 21, 2009 4:02 pm    Post subject: Reply with quote

ScytheMan wrote:
https://forums.gentoo.org/viewtopic-t-802644.html

ich warne allerdings davor von ~x86 einfach auf x86 zurück zu wechseln. das kann und wird vermutlich sicher schiefgehen.

Hmm also ich hab mit dem Flag eigentlich nur die kernel sources geladen. Meinst du das ist problematisch?
Seit daher hab ich nichts mehr installiert.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Nov 21, 2009 4:09 pm    Post subject: Reply with quote

kevin22 wrote:
ScytheMan wrote:
https://forums.gentoo.org/viewtopic-t-802644.html

ich warne allerdings davor von ~x86 einfach auf x86 zurück zu wechseln. das kann und wird vermutlich sicher schiefgehen.

Hmm also ich hab mit dem Flag eigentlich nur die kernel sources geladen. Meinst du das ist problematisch?
Seit daher hab ich nichts mehr installiert.

Das wäre gut, ein längeres Fahren auf komplett ~x86 und du bist mit einer Neuinstallation besser beraten, außer du weiß genau was du tust!

Zum Problem:
Code:
emerge --unmerge device-mapper && emerge -i1 udev

sollte wenigstens diesen Blocker beseitigen.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Sat Nov 21, 2009 5:16 pm    Post subject: Reply with quote

Und installier dir mal ufed.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum